#ifndef __TEST_STUFF_H__
#define __TEST_STUFF_H__

#include "config.h"

#include <glib.h>

#include "gnc-xml-helper.h"

#include "gnc-commodity.h"
#include "guid.h"
#include "kvp_frame.h"
#include "date.h"

#define TEST_FAILURE 1
#define TEST_SUCCESS 0

gchar get_random_character(void);
gchar* get_random_string(void);
Timespec* get_random_timespec(void);
kvp_value* get_random_kvp_value(int type);

struct _bin_data
{
    guchar *data;
    int len;
};
typedef struct _bin_data bin_data;

bin_data* get_random_binary_data(void);

kvp_frame* get_random_kvp_frame(void);

gint64 get_random_gint64(void);
double get_random_double(void);
gnc_numeric get_random_gnc_numeric(void);
gnc_commodity* get_random_gnc_commodity_ref(void);
GUID* get_random_guid(void);
GList* get_random_glist(void);
gint get_random_int_in_range(int start, int end);

void success(int test_num, char *test_title, char *format, ...);
void failure(int test_num, char *test_title, char *format, ...);
int get_rv(void);

void write_dom_node_to_file(xmlNodePtr node, int fd);

int files_compare(const gchar* f1, const gchar* f2);

gboolean print_dom_tree(gpointer data_for_children, GSList* data_from_children,
                        GSList* sibling_data, gpointer parent_data,
                        gpointer global_data, gpointer *result,
                        const gchar *tag);

#endif /* __TEST_STUFF_H__ */
